<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <link rel="stylesheet" href="jquery.raty.css">

    <style>
        .starbox .stars .star_holder .star {
            background-image: url('5-small.png'); /* or any other image */
            width: 17px; /* make sure to use your image’s dimensions here */
            height: 17px;
        }
        .starbox .stars { background: #cccccc; }
        .starbox .rated .stars { background: #dcdcdc; }
        .starbox .rated.hover .stars { background: #cccccc; }
        .starbox .colorbar { background: #1e90ff; }
        .starbox .hover .colorbar { background: #ffcc1c; }
        .starbox .rated .colorbar { background: #64b2ff; }
        .starbox .rated.hover .colorbar { background: #1e90ff; }
        .starbox .ghost { background: #a1a1a1; }
    </style>
</head>
<body>
<div class="demo"></div>

<div class="demo"></div>


<div class="demo"></div>




<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="jquery.raty.js"></script>

<script>

    $(document).ready(function () {

        $('.demo').starbox({
            average: 0.15,
            changeable: 'once',
            autoUpdateAverage: true,
            ghosting: true
        }).bind('starbox-value-changed', function(event, value) {
            jQuery.getJSON('/my/action', {rating: value}, function(data) {
                if(!data.error) {
                    element.starbox('setOption', 'average', data.result);
                }
            });
        });
    });
</script>

</body>
</html>